当前位置:论坛首页 > Linux面板 > 求助

安装WordPress出现502页面

发表在 Linux面板2018-3-14 18:43 [复制链接] 8 550

本帖最后由 yjseo 于 2018-3-14 19:21 编辑

安装WordPress出现502页面,删除网站目录中默认的index.html  ,正常情况下打开网址应该直接跳转到安装页面,但是是502页面,伪静态配置用的宝塔后台默认的WordPress伪静态规则。装的PHP5.5,请问大神这是什么情况?   网址http://www.chuaikeng.com   

OY8DA$))TGY_3$2T}~)IT12.png
使用道具 举报 只看该作者 回复

准内测组成员

发表于 2018-3-14 19:16:16 | 显示全部楼层
不把网址贴出来,也没个截图。。。谁知道怎么回事啊
使用道具 举报 回复 支持 反对
发表于 2018-3-14 19:21:25 | 显示全部楼层
mingxue 发表于 2018-3-14 19:16
不把网址贴出来,也没个截图。。。谁知道怎么回事啊

发了,求解
使用道具 举报 回复 支持 反对

准内测组成员

发表于 2018-3-14 19:44:39 | 显示全部楼层

应该是nginx配置问题或者php问题,因为我访问静态文件正常,你可以换个php比如5.6或者7.0,顺便再看看nginx配置,我觉得nginx问题的可能性大
使用道具 举报 回复 支持 反对
发表于 2018-3-14 19:49:38 | 显示全部楼层
mingxue 发表于 2018-3-14 19:44
应该是nginx配置问题或者php问题,因为我访问静态文件正常,你可以换个php比如5.6或者7.0,顺便再看看ngi ...

我刚换了5.6还是没用,你说的配置是那个站点里面的    配置文件   那个自动生成的吗,看不懂啊  怎么修改?
server
{
    listen 80;
    server_name chuaikeng.com www.chuaikeng.com;
    index index.php index.html index.htm default.php default.htm default.html;
    root /www/wwwroot/chuaikeng;
   
    #SSL-START SSL相关配置,请勿删除或修改下一行带注释的404规则
    #error_page 404/404.html;
    #SSL-END
   
    #ERROR-PAGE-START  错误页配置,可以注释、删除或修改
    error_page 404 /404.html;
    error_page 502 /502.html;
    #ERROR-PAGE-END
   
    #PHP-INFO-START  PHP引用配置,可以注释或修改
    include enable-php-54.conf;
    #PHP-INFO-END
   
    #REWRITE-START URL重写规则引用,修改后将导致面板设置的伪静态规则失效
    include /www/server/panel/vhost/rewrite/chuaikeng.com.conf;
    #REWRITE-END
   
    #禁止访问的文件或目录
    location ~ ^/(\.user.ini|\.htaccess|\.git|\.svn|\.project|LICENSE|README.md)
    {
        return 404;
    }
   
    location ~ .*\.(gif|jpg|jpeg|png|bmp|swf)$
    {
        expires      30d;
        access_log off;
    }
   
    location ~ .*\.(js|css)?$
    {
        expires      12h;
        access_log off;
    }
    access_log  /www/wwwlogs/chuaikeng.com.log;
}
使用道具 举报 回复 支持 反对

准内测组成员

发表于 2018-3-14 19:52:26 | 显示全部楼层
yjseo 发表于 2018-3-14 19:49
我刚换了5.6还是没用,你说的配置是那个站点里面的    配置文件   那个自动生成的吗,看不懂啊  怎么修改 ...

那就可能是php的问题了,,,具体问题你自己排查
使用道具 举报 回复 支持 反对
发表于 2018-3-14 20:05:30 | 显示全部楼层
mingxue 发表于 2018-3-14 19:52
那就可能是php的问题了,,,具体问题你自己排查

我重建了一下网站,居然好了,还是谢谢你啦!
顺便问下PHP哪个版本好?7.0的能用吗  稳定吗
使用道具 举报 回复 支持 反对

准内测组成员

发表于 2018-3-14 22:18:42 | 显示全部楼层
我用的7.1还是7.0来着,反正wordpress支持,但是插件支不支持就不知道了
使用道具 举报 回复 支持 反对

准内测组成员

发表于 2018-3-15 10:36:09 | 显示全部楼层
yjseo 发表于 2018-3-14 20:05
我重建了一下网站,居然好了,还是谢谢你啦!
顺便问下PHP哪个版本好?7.0的能用吗  稳定吗 ...

wordpress能支持到7.1,但建议用单数版本,故7.0!

----------------------------------------------------------------------------------------------------
菜鸟团队技术博客点击联系
使用道具 举报 回复 支持 反对
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

【求助贴,请有以下信息】

①错误提示截图;

②操作系统版本;

③环境信息;

信息详细,秒速帮你处理

上班时间:周一至周六 9:00~18:30

如果紧急,官网后台提交付费工单解决

小黑屋|BT.cn  

© 2014-2018 bt.cn All Rights Reserved.   Powered by Discuz! X3.2

宝塔论坛正在使用宝塔Linux面板维护管理并由尊云(zun.com)提供云服务器支持

快速回复 返回顶部 返回列表